## sbcl 1.3.0

=== debian/changelog ===
sbcl (2:1.3.0-1~bpo8+1) jessie; urgency=medium

  * Rebuild for jessie-backports.
  * No changes needed

 -- Wookey <wookey@debian.org>  Fri, 04 Dec 2015 13:16:19 +0000

sbcl (2:1.3.0-1) unstable; urgency=medium

  * New upstream release
    changes in sbcl-1.3.0 relative to sbcl-1.2.16:
      * minor incompatible change: the environment passed to a macro/setf/deftype
        expander is not always an object of type SB-KERNEL:LEXENV.
        It can be nil, as is permissible by the standard.
      * enhancement: ported to ARM64 Linux.
      * enhancement: a new interpreter is included which has many benefits
        over sb-eval. It is disabled by default. See src/interpreter/README
        for instructions to enable it, and further details.
      * bug fix: calling COMPILE when SB-EXT:*EVALUATOR-MODE* was :INTERPRET
        would fail to perform "normal semantic processing such as macro expansion"
        as stipulated by X3J13 issue LOAD-TIME-EVAL.
      * bug fix: SB-UNICODE:CONFUSABLE-P no longer treats "<" and the empty
        string as confusable.  (lp#1504739)
      * bug fix: (ASSERT (COMPUTE-IT ...)) would expand incorrectly
        if COMPUTE-IT was a local macro that shadowed a global function.
      * bug fix: SB-POSIX:CFSETISPEED and SB-POSIX:CFSETOSPEED now work properly
        on platforms that use only the minimum specified set of fields in struct
        termios (verified on Linux, still known not to work on FreeBSD and NetBSD,
        very probably others).  (partial fix for lp#1500951)
    changes in sbcl-1.2.16 relative to sbcl-1.2.15:
      * enhancement: by default, timers with a repeat interval do not "catch up"
        by repeatedly calling their function after a clock discontinuity such as a
        suspend and resume cycle
      * bug fix: correctly restore multiple values on the stack in the presence of
        alien calls. (lp#1489590)
      * bug fix: MAKE-STRING-OUTPUT-STREAM enforces that :ELEMENT-TYPE
        is a subtype of CHARACTER.
      * bug fix: an EQL method specializer no longer causes garbage retention
        if there are no extant methods using the specializer. (lp#492851)
  * Enable arm64 supported now

 -- Christoph Egger <christoph@debian.org>  Tue, 10 Nov 2015 23:41:45 +0100

sbcl (2:1.2.15-2) unstable; urgency=medium

  * Fix arch=all only build

 -- Christoph Egger <christoph@debian.org>  Fri, 11 Sep 2015 18:32:47 +0200

sbcl (2:1.2.15-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.2.15 relative to sbcl-1.2.14:
      * new feature: DEPRECATION declaration for functions, variables and types
        causes {EARLY,LATE,FINAL}-DEPRECATION-WARNING to be signaled when subject
        of the declaration is used. Integrated with DESCRIBE, DOCUMENTATION and
        SB-CLTL2:{VARIABLE,FUNCTION}-INFORMATION. Documented in the "Deprecation"
        section of the manual.
      * enhancement: ASDF updated to 3.1.5. (lp#1476867)
      * enhancement: definitions within PROGN get proper source locations when
        compiled (needs latest Slime to take advantage of this). (lp#1473147)
      * enhancement: source locations for DEFCLASS slots now point directly to the
        slot definitions, not the whole DEFCLASS form.
      * bug fix: better source location in the presence of quoted forms.
        (lp#1370561)
      * bug fix: better source locations inside backqoute. (lp#1361502)
      * bug fix: HANDLER-BIND requires that the handler-function be
        a function designator at the time of binding establishment. (lp#1480679)
      * bug fix: inlined functions surrounded by nested macrolets are properly
        inlined. (lp#309123)

 -- Christoph Egger <christoph@debian.org>  Fri, 11 Sep 2015 16:37:23 +0200
