=== debian/changelog ===
sbcl (2:1.3.1-1ubuntu2) xenial; urgency=medium

  * debian/patches/fix-texinfo-ftbfs: Grab patch from Debian to fix FTBFS with
    new texinfo.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 19 Mar 2016 17:58:20 -0500

sbcl (2:1.3.1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 18 Feb 2016 03:23:21 -0500

sbcl (2:1.3.1-1) unstable; urgency=medium

  * New upstream release
    changes in sbcl-1.3.1 relative to sbcl-1.3.0:
    * enhancement: SB-THREAD support for ARM64.
    * enhancement: compiling an out-of-line DEFSTRUCT constructor call
      will warn if a defaulted value is incompatible with its slot type.
    * enhancement: a local INLINE declaration on a structure constructor
      will work as intended, subject to any other factors that inhibit
      inlining, even if the DEFSTRUCT was not itself within a global
      INLINE proclamation for the named constructor
    * enhancement: SB-EXT:DYNAMIC-SPACE-SIZE is now defined for cheneygc.
    * enhancement: x86[-64] platforms support SB-EXT:CAS on structure slots
      of type SB-EXT:WORD
    * enhancement: the interleaved structure slot optimization from
      release 1.2.6 has been ported to 32-bit x86, Sparc, PowerPC, ARM64.
    * enhancement: SB-THREAD:JOIN-THREAD signals a proper error when an attempt
      is made to join the current thread
    * bug fix: NTH-VALUE does not cause stack overflow. (lp#1511419)
    * bug fix: structure constructor type checking is better. (lp#1508735)
    * bug fix: supplied-p variables for unused optional or keyword variables no
      longer confuse SB-DI:PARSE-COMPILED-DEBUG-FUN-LAMBDA-LIST (and thus the
      backtrace machinery) (lp#1498644)
    * bug fix: Backtrace correctly handles undefined-function frames on MIPS.
    * bug fix: WITH-FLOAT-TRAPS-MASKED correctly clears accrued traps on MIPS
      (fixes issues with floating-point type derivation in the compiler).
    * bug fix: FLOAT-NAN-P and FLOAT-TRAPPING-NAN-P now work correctly on MIPS
      and HPPA.
    * bug fix: MIPS context register access now masks to 32 bits (fixing issues
      parsing negative-fixnum values for internal-error arguments and escaped
      debug variables on 64-bit CPUs).
    * bug fix: (SETF SAP-REF-DOUBLE) with constant offset on big-endian MIPS
      now works correctly.
    * bug fix: Callback parameter (argument) handling on MIPS is now vastly
      more correct.
    * bug fix: %DECREMENT-SEMAPHORE adjusts the remaining timeout after a
      spurious wakeup

 -- Christoph Egger <christoph@debian.org>  Sat, 02 Jan 2016 13:05:20 +0100

sbcl (2:1.3.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 19 Nov 2015 22:54:01 -0500
