## sbcl 1.3.3

=== debian/changelog ===
sbcl (2:1.3.3-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 26 Apr 2016 19:50:48 -0400

sbcl (2:1.3.3-1) unstable; urgency=medium

  * Patch texinfo manual for new texinfo (Closes: #815205). Thanks to
    Norbert Preining for the patch
  * New upstream release
    changes in sbcl-1.3.3 relative to sbcl-1.3.2:
    * enhancement: warn about argument mismatch for functions passed as
      arguments to other functions (e.g. REDUCE, MAP) at compile-time.
    * optimization: functions accepting other functions (e.g. REDUCE, FIND) can
      now be constant-folded if all function arguments are declared as foldable.
    * optimization: improved logical operations on integers of unknown type.
    * bug fix: exception handling no longer leaks memory on OS X. (lp#326238)
    changes in sbcl-1.3.2 relative to sbcl-1.3.1:
    * enhancement: {READ,WRITE}-SEQUENCE are much faster for some combinations
      of short sequences and stream types
    * enhancement: MAKE-LIST's result can be stack-allocated on x86-64
    * bug fix: WRITE-SEQUENCE no longer fails to write lists containing integers
      to bivalent streams
    * bug fix: LOGTEST (and hence ODDP) no longer conses when given fixnum
      arguments and small bit positions.  (lp#1277690)
    * bug fix: READ-FROM-STRING compiler-macro does not permute its arguments
    * bug fix: DEFUN of a function name that collides with a system-generated
      structure accessor does not confuse the runtime. (lp#540063)
    * bug fix: heap corruption from miscompiled RESTART-BIND. (lp#1530390)

 -- Christoph Egger <christoph@debian.org>  Tue, 15 Mar 2016 16:54:17 +0100
