=== debian/control ===
--- 
+++ 
@@ -15,15 +15,14 @@
  zlib1g-dev,
  texlive-extra-utils,
  texlive,
- locales,
  graphviz,
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils,
  cm-super-minimal,
  time,
- netbase
-Build-Conflicts: locales-all
+ netbase,
+ locales-all
 Standards-Version: 3.9.6
 Vcs-Git: http://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git;a=summary
