=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,6 @@
 	dh_testdir
 #   create the locale:
 	mkdir -p ${LOCALE_PATH}
-	localedef -i "${LOCALE_NAME}" -f "${LOCALE_CHARSET}" "${LOCALE_PATH}/${LOCALE_NAME}.${LOCALE_CHARSET}"
 	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
 	export LANG=en_US.UTF-8
 	export LOCPATH=${LOCALE_PATH} 
@@ -55,9 +54,7 @@
 	+echo
 
 #   make scripts runable
-	chmod a+x ./src/runtime/linux-nm ./make.sh ./install.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
-	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
-	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1
+	chmod a+x ./src/runtime/linux-nm ./make.sh ./install.sh ./clean.sh
 
 	./make.sh --xc-host="$(BOOTSTRAPLISP)" --prefix=$(CURDIR)/stage1 $(FEATURES)
 	./install.sh
