## sbcl 1.3.7

=== debian/changelog ===
sbcl (2:1.3.7-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.3.7 relative to sbcl-1.3.6:
    * bug fix: preserve the name of the destructive function for the destroyed
      constant and important result warnings, even when declared NOTINLINE.
    * optimization: faster operations on list-sets.
    * optimization: better type derivation of set functions.
      (lp#1592152)
    * optimization: load-time TLS-INDEX assignment, and other
      microoptimizations, on x86.
    * optimizations in:
      * APPEND;
      * ECASE/ETYPECASE;
      * ARRAY-DIMENSIONS;
      * ARRAY-TOTAL-SIZE;
      * REMOVE, REMOVE-DUPLICATES, DELETE and DELETE-DUPLICATES on lists.
    changes in sbcl-1.3.6 relative to sbcl-1.3.5:
    * bug fix: do not insert conditional newlines in print-unreadable-object
      (lp#1398290). This reverses a change made in lp#488979 which reversed
      a fix advertised in release 0.8.14 to pass the GCL ANSI Test Suite.
    * bug fix: constant negative rotations of 32-bit quantites are compiled
      correctly on x86-64 and arm.  (lp#1586614, reported by Guillaume Le
      Vaillant)
    changes in sbcl-1.3.5 relative to sbcl-1.3.4:
    * enhancement: the platform's strtod() is exposed as SB-POSIX:STRTOD
    * enhancement: speed up debug info creation for highly nested functions.
      (lp#1563355)
    * enhancement: the interleaved structure slot optimization from
      release 1.2.6 has been ported to all architectures.
    * enhancement: support run-program I/O redirection into lisp streams on
      Windows.
    * bug fix: better wording in missed optimization note. (lp#1003265)
    * bug fix: interpreted (CAS SVREF) was broken
    * bug fix: support CLISP as build host for ARM (lp#1568256, thanks to Tomas
      Hlavaty)
    changes in sbcl-1.3.4 relative to sbcl-1.3.3:
    * enhancement: who-sets and who-references work on DEFGLOBAL. (lp#1552997)
    * enhancement: CONSTANTP understands backquote.
      e.g. (CONSTANTP '`(0 (,CHAR-CODE-LIMIT))) => T
    * optimization: improvements to sequence functions: CONCATENATE, SUBSTITUTE,
      REVERSE.
    * bug fix: SB-EVAL does not signal an error for (THE KEYWORD :FOO)
    * bug fix: a DEFTYPE name that is redefined into a DEFSTRUCT name
      is less likely to cause confusion in the compiler.
    * bug fix: DOCUMENTATION works as intended for classes with non-standard
      metaclasses
    * bug fix: (TYPEP <extended-sequence> <extended-sequence-class>) no longer
      returns NIL in certain situations
    * bug fix: MAKE-SEQUENCE, MAP, CONCATENATE and MERGE accept class objects as
      result-type
    * bug fix: MAKE-SEQUENCE, MAP, CONCATENATE and MERGE expand DEFTYPEs in
      result-type

 -- Christoph Egger <christoph@debian.org>  Tue, 05 Jul 2016 17:05:19 +0200
