=== contrib/sb-aclrepl/Makefile ===
SYSTEM=sb-aclrepl
include ../asdf-module.mk
