=== debian/changelog ===
sbcl (2:1.3.14-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Thu, 26 Jan 2017 11:40:42 +0100

sbcl (2:1.3.14-1) experimental; urgency=medium

  * New upstream version
    changes in sbcl-1.3.14 relative to sbcl-1.3.13:
      * minor incompatible change: the SB-PCL walker no longer recognizes
        macros expanding into a DECLARE expression. This is not a language change,
        since ANSI forbids such usage (X3J13 issue DECLARE-MACROS:FLUSH).
      * enhancement: for several macros such as MULTIPLE-VALUE-{BIND,SETQ}, COND,
        DO{,*,LIST}, {RESTART,HANDLER}-{BIND,CASE}, *CASE, conditions signaled
        during macroexpansion point to the form that caused the problem more
        accurately.
      * enhancement: the "--noinform" command-line option inhibits output from
        save-lisp-and-die in addition to removing the startup banner.
      * bug fix: PROCESS-KILL failed to return errno if the system call failed
      * optimization: slightly more comprehensive treatment of the keyword
        arguments to MAKE-ARRAY in compiler transformations.

 -- Christoph Egger <christoph@debian.org>  Thu, 26 Jan 2017 11:08:14 +0100

sbcl (2:1.3.13-2) unstable; urgency=medium

  * Replace pie patch by upstream one
  * upload to unstable

 -- Christoph Egger <christoph@debian.org>  Tue, 03 Jan 2017 01:26:56 +0100

sbcl (2:1.3.13-1) experimental; urgency=medium

  * New upstream release
    Uploading to experimental first due to the freeze
    changes in sbcl-1.3.13 relative to sbcl-1.3.12:
    * enhancement: SET triggers package locks on undefined variables.
      (lp#1645152)
    * enhancement: new Windows specific option to run-program, :escape-arguments
      (lp#1503496)
    * enhancement: recompiling a MAKE-INSTANCE form with an initarg :INITARG
      CONSTANT where CONSTANT names a constant variable picks up the new value
      of CONSTANT in case it has been redefined. (lp#1644944)
    * optimization: faster TYPEP on undefined at compile-time types and upcoming
      class definitions. (lp#1082967)
    * optimization: memory consumption of each STANDARD-OBJECT instance is
      reduced by 2 words if the compact-instance-header feature is enabled.
    * optimization: CONDITION instances are quicker to allocate.
    * optimization: unoptimized calls to FILL on specialized vectors are now
      just as fast as T vectors.
    * bug fix: get-timezone returns corret DST on 64-bit Windows. (lp#1641058)
    * bug fix: cross reference information in fasls is no longer incompatible
      between different cores (lp#1648186)
    changes in sbcl-1.3.12 relative to sbcl-1.3.11:
    * enhancement: on x86-64, compiled functions loaded from fasl files
      can not be moved, but can be freed, by GC. Additionally, COMPILE will
      produce immobile code if SB-C::*COMPILE-TO-MEMORY-SPACE* is set to
      :IMMOBILE. (Caution: the flag is experimental and subject to change.)
      The benefits are better physical separation of code from data,
      and potentially easier examination of live images by external tools.
    * enhancement: the docstring for SAVE-LISP-AND-DIE has been amended to
      say that the :ROOT-STRUCTURES parameter is not meaningless on gencgc,
      depending on the platform.
    * bug fix: calling a named function (e.g. a DEFUN) concurrently with
      redefining that same function could lead to execution of random bytes.
    * bug fix: yes-or-no-p accepts formatter functions (lp#1639490)
    * bug fix: better handling of exceptions on macOS.


 -- Christoph Egger <christoph@debian.org>  Mon, 02 Jan 2017 21:29:33 +0100

sbcl (2:1.3.11-1) unstable; urgency=medium

  * New upstream release
    changes in sbcl-1.3.11 relative to sbcl-1.3.10:
    * minor incompatible change: SB-EXT:*INTEXP-MAXIMUM-EXPONENT* is removed.
    * enhancement: TRACE ... :REPORT {TRACE,NIL} now work as advertised in the
      documentation string (based on patch by Patrick Stein)
    * enhancement: support unboxed signed-word structure slots on x86, x86-64
      and ARM64. (lp#377616)
    * optimization: faster logical bit-array operations on multidimensional
      arrays.
    * optimization: better GC performance in the presence of many threads.
      (patch by Ilya Perminov, lp#1339924)
    * optimization: multiple-value-call is optimized with multiple argument
      forms, not just one. (lp#753803)
    * bug fix: MAKE-ALIEN-STRING returns the number of allocated bytes as a
      second value as advertised (reported by Johann 'Myrkraverk' Oskarsson)
    * bug fix: when TO-READTABLE is supplied to COPY-READTABLE, it will
      contain only the macros in FROM-READTABLE and no others. (lp#1631506)
    * enhancement: gencgc has been modified for x86-64 on Linux and macOS
      to a support mark-and-sweep as well as the traditional copying strategy.
      It is conceivable that some applications might be adversely affected.
      Please see ':immobile-space' in 'base-target-features.lisp-expr'
      for further details, and possible reasons to disable this feature.
    * enhancement: x86-64 supports shrinking the fixed overhead in a structure
      from 2 words to 1 word, reducing memory consumption in applications
      which create many small structures.
  * [powerpc-concurrency-fix.patch] Re-add. Seems to still (again) be
    needed. Fixes powerpc build

 -- Christoph Egger <christoph@debian.org>  Sun, 06 Nov 2016 13:32:55 +0100

sbcl (2:1.3.10-2) unstable; urgency=medium

  * [Disable-PIE] Fix typo for i386 and add similar fixes for the other
    debian architectures (Closes: #837576) this time for real.

 -- Christoph Egger <christoph@debian.org>  Tue, 25 Oct 2016 22:42:01 +0200

sbcl (2:1.3.10-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.3.10 relative to sbcl-1.3.9:
    * enhancement: more compact low-level error signaling code
    * enhancement: more compact encoding of cross-reference information

