=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Christoph Egger <christoph@debian.org>
@@ -15,14 +14,15 @@
  zlib1g-dev,
  texlive-extra-utils,
  texlive,
+ locales,
  graphviz,
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils,
  cm-super-minimal,
  time,
- netbase,
- locales-all
+ netbase
+Build-Conflicts: locales-all
 Standards-Version: 3.9.6
 Vcs-Git: http://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git;a=summary
