=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	dh_testdir
 #   create the locale:
 	mkdir -p ${LOCALE_PATH}
+	#localedef -i "${LOCALE_NAME}" -f "${LOCALE_CHARSET}" "${LOCALE_PATH}/${LOCALE_NAME}.${LOCALE_CHARSET}"
 	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
 	export LANG=en_US.UTF-8
 	export LOCPATH=${LOCALE_PATH} 
@@ -61,7 +62,6 @@
 	chmod 100 stage1
 	./clean.sh
 	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
-	chmod 700 stage1
 
 	make -C doc/internals all html
