## sbcl 1.4.1

=== debian/changelog ===
sbcl (2:1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: bump to file format version 4.
  * Remove obsolete Breaks/Replaces against old versions of packages.
  * Remove useless ${shlibs:Depends} for arch:all packages.
  * Use secure URL for Vcs-Git.
  * Fix Vcs-Browser (Closes: #873168)
  * Remove armel from supported architectures, since SBCL requires ARM v5.
  * Mark sbcl-{doc,source} as M-A foreign.
  * Bump to debhelper compat level 10.
  * Remove d/upstream/signing-key.asc, because upstream does not provide a
    detached signature of the tarball (only signed hashsums).
  * Add a couple of files to debian/clean.
  * d/rules: replace DEB_BUILD_ARCH by DEB_HOST_ARCH, which is the correct
    value when cross-compiling.
  * Rename debian/docs into debian/sbcl.docs for clarity.
  * No longer install obsolete install-clc.lisp.
  * Rename debian/{prerm,postinst} to debian/sbcl.{prerm,postinst} for clarity.
  * No longer ship /etc/sbcl.rc (not loaded at runtime, contains obsolete CLC
    stuff).
  * Install an empty system-wide init file in /etc/sbclrc. (Closes: #608741)
  * Add support for nodoc and nocheck flags of DEB_BUILD_OPTIONS.
  * Bump Standards-Version to 4.1.1.
  * Add myself to Uploaders.
  * Do not leave debian/stage1/ unreadable (patch from Ubuntu).
  * Register sbcl.info into doc-base.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Nov 2017 10:49:12 +0100
