=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-export sbcl_arch=$(shell dpkg-architecture -qDEB_BUILD_ARCH |sed s/i386/x86/)
-ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+export sbcl_arch=$(shell dpkg-architecture -qDEB_HOST_ARCH |sed s/i386/x86/)
+ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (${ARCH},powerpc)
    CFLAGS:=-O2
 endif
@@ -23,7 +23,7 @@
 DESTDIR=$(CURDIR)/debian/tmp/usr
 FEATURES=--fancy
 
-ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 ifeq (,$(BOOTSTRAPLISP))
 	BOOTSTRAPLISP=/usr/bin/sbcl --disable-debugger --no-sysinit --no-userinit
@@ -62,11 +62,16 @@
 	chmod 100 stage1
 	./clean.sh
 	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
+	chmod 700 stage1
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	make -C doc/internals all html
+endif
 
 #   start running tests
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	-GNUMAKE=make sh -c 'cd tests && sh ./run-tests.sh' || printf "the tests failed\n"
+endif
 
 	src/runtime/sbcl --core output/sbcl.core --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
 	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'
@@ -76,7 +81,9 @@
 build-indep: build-indep-stamp
 build-indep-stamp: build-arch
 	dh_testdir
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cd doc/manual && make docstrings && make
+endif
 	touch build-indep-stamp
 
 clean:
@@ -107,7 +114,11 @@
 
 	INSTALL_ROOT="$(DESTDIR)" sh install.sh
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_install
+else
+	dh_install -Nsbcl-doc
+endif
 
 	cp debian/binfmt $(TARGET)/usr/share/binfmts/sbcl
 	cp debian/sbcl-run $(TARGET)/usr/lib/sbcl
@@ -117,11 +128,13 @@
 
 #   move the indep stuff
 	dh_installinfo -psbcl-doc $(DESTDIR)/share/info/sbcl.info 
-	rm $(DESTDIR)/share/info/asdf.info $(DESTDIR)/share/info/sbcl.info
-	rm $(DESTDIR)/share/doc/sbcl/asdf.pdf
+	rm -f $(DESTDIR)/share/info/asdf.info $(DESTDIR)/share/info/sbcl.info
+	rm -f $(DESTDIR)/share/doc/sbcl/asdf.pdf
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cp debian/index-docs.html \
 		$(DOC_TARGET)/usr/share/doc/sbcl-doc/html/index.html
+endif
 
 	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf-install/asdf-install	
 	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf/LICENSE
@@ -148,8 +161,6 @@
 	dh_lintian -i
 	dh_compress -i -X *.html
 	dh_fixperms -i
-#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
-#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -162,7 +173,6 @@
 	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a
-#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
 	dh_installman -a
 	dh_strip -a
 	dh_link -a
