=== debian/changelog ===
sbcl (2:1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Regenerate version.lisp-expr (with ".debian" suffix) from d/rules.
    As a consequence, drop set-debian-version.patch.
  * No longer delete /usr/lib/sbcl/sbcl.core in postinst's abort-* and prerm.
  * Remove useless sbcl-{doc,source}.dirs.
  * Simplify debian/rules using dh.
    Incidentally, inject flags from dpkg-buildflags. Also remove locales cruft.
  * Ship sbcl-internals manual in info format.
  * Bump Standards-Version to 4.1.2.
  * Rewrite debian/copyright from scratch using machine-readable format 1.0.
  * Fix test failures at build time:
    + add "ed" to Build-Depends, needed by some tests.
    + new testsuite-homedir.patch, needed because some tests expect HOME to be
      meaningful (which is not guaranteed when building Debian packages).
  * Use which (instead of full path) to detect presence of update-binfmts in
    postinst/prerm, to make lintian happy.
  * Add lintian override for hardening-no-pie.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Dec 2017 15:50:59 +0100
