=== debian/control ===
--- 
+++ 
@@ -13,16 +13,15 @@
                zlib1g-dev,
                texlive-extra-utils,
                texlive,
-               locales,
                graphviz,
                ghostscript,
                texlive-generic-recommended,
                texlive-font-utils,
                cm-super-minimal,
                time,
-               netbase
-Build-Conflicts: locales-all
-Standards-Version: 4.1.1
+               netbase,
+               ed
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
 Homepage: http://www.sbcl.org
