## sbcl 1.4.3

=== doc/manual/Makefile ===
--- 
+++ 
@@ -75,18 +75,18 @@
 ps: $(PSFILES)
 
 %.ps: %.dvi
-	dvips -o $@ $<
+	dvips -q -o $@ $<
 
 # DVI generation
 %.dvi: %.texinfo $(DOCFILES) docstrings
-	texi2dvi $(I_FLAGS) $<
+	texi2dvi -q $(I_FLAGS) $<
 
 # PDF documentation
 .PHONY: pdf
 pdf: $(PDFFILES)
 
 %.pdf: %.texinfo $(DOCFILES) docstrings
-	$(TEXI2PDF) $(I_FLAGS) $<
+	$(TEXI2PDF) -q $(I_FLAGS) $<
 
 # info docfiles
 .PHONY: info
