=== debian/changelog ===
sbcl (2:1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 11.
  * Drop build-dependency on dh-lisp.
  * Bump Standards-Version to 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 21 Jan 2018 17:42:03 +0100
