=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: dh-lisp,
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                sbcl,
                sbcl-source,
                texinfo,
@@ -21,7 +20,7 @@
                time,
                netbase,
                ed
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
 Homepage: http://www.sbcl.org
