## sbcl 1.4.4

=== debian/changelog ===
sbcl (2:1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Vcs-* fields now point to salsa.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 01 Feb 2018 10:56:57 +0100
